Debian Bug report logs - #661044
ITP: python-flake8 -- code checker using pep8 and pyflakes

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul Tagliamonte <paultag@ubuntu.com>

Date: Thu, 23 Feb 2012 18:54:05 UTC

Owned by: Chris Johnston <chrisjohnston@ubuntu.com>

Severity: wishlist

Fixed in version python-flake8/2.0-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#661044; Package wnpp. (Thu, 23 Feb 2012 18:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@ubuntu.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 23 Feb 2012 18:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-sunlight -- programmatically access U.S. goverment data
Date: Thu, 23 Feb 2012 13:51:57 -0500
Package: wnpp
Severity: wishlist
Owner: Paul Tagliamonte <paultag@ubuntu.com>
thanks

* Package name    : python-flake8
  Version         : 1.1
  Upstream Author : Tarek Ziade
* URL             : https://bitbucket.org/tarek/flake8
* License         : MIT
  Programming Lang: Python
  Description     : code checker using pep8 and pyflakes

Flake8 is a wrapper around these tools

 * PyFlakes
 * pep8
 * Ned's MacCabe script

Flake8 runs all tools by launching the single 'flake8' script, but
ignores pep8 and PyFlakes extended options and just uses defaults. It
displays the warnings in a per-file, merged output.




Changed Bug title to 'ITP: python-flake8 -- code checker using pep8 and pyflakes' from 'ITP: python-sunlight -- programmatically access U.S. goverment data' Request was from "Paul R. Tagliamonte" <paultag@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 18:57:08 GMT) Full text and rfc822 format available.

Reply sent to Paul Tagliamonte <paultag@debian.org>:
You have taken responsibility. (Sun, 15 Jul 2012 16:27:05 GMT) Full text and rfc822 format available.

Notification sent to Paul Tagliamonte <paultag@ubuntu.com>:
Bug acknowledged by developer. (Sun, 15 Jul 2012 16:27:05 GMT) Full text and rfc822 format available.

Message #12 received at 661044-done@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@debian.org>
To: 661044-done@bugs.debian.org
Subject: Upstream is unwilling or unable to fix security concerns
Date: Sun, 15 Jul 2012 12:27:15 -0400
[Message part 1 (text/plain, inline)]
Upstream is unable or unwilling to fix security concerns.

See https://bitbucket.org/tarek/flake8/issue/13/

I would very much like this package to be in Debian, but alas.

Upstream is unresponsive.

Closing the ITP.

-- 
 .''`.  Paul Tagliamonte <paultag@debian.org>
: :'  : Proud Debian Developer
`. `'`  4096R / 8F04 9AD8 2C92 066C 7352  D28A 7B58 5B30 807C 2A87
 `-     http://people.debian.org/~paultag
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Aug 2012 07:27:04 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Chris Johnston <chrisjohnston@ubuntu.com> to control@bugs.debian.org. (Tue, 29 Jan 2013 22:09:03 GMT) Full text and rfc822 format available.

Bug reopened Request was from Chris Johnston <chrisjohnston@ubuntu.com> to control@bugs.debian.org. (Tue, 29 Jan 2013 22:09:04 GMT) Full text and rfc822 format available.

Owner changed from Paul Tagliamonte <paultag@ubuntu.com> to Chris Johnston <chrisjohnston@ubuntu.com>. Request was from Chris Johnston <chrisjohnston@ubuntu.com> to control@bugs.debian.org. (Tue, 29 Jan 2013 22:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Chris Johnston <chrisjohnston@ubuntu.com>:
Bug#661044; Package wnpp. (Sun, 12 May 2013 16:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Chris Johnston <chrisjohnston@ubuntu.com>. (Sun, 12 May 2013 16:21:09 GMT) Full text and rfc822 format available.

Message #25 received at 661044@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Chris Johnston <chrisjohnston@ubuntu.com>, Paul Tagliamonte <paultag@debian.org>, PKG OpenStack <openstack-devel@lists.alioth.debian.org>, 661044@bugs.debian.org
Subject: Packaging flake8 for Debian
Date: Mon, 13 May 2013 00:17:20 +0800
Hi Chris,

I've seen here that you now own the ITP for flake8:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=661044

But I have seen no progress at all in the ITP at all.

Since Flake8 will be used by the OpenStack project (which I maintain in
Debian), I need Flake8 to be packaged in Debian. In fact, Flake8 is
already in use in some of the python modules (like
python-django-compressor >= 1.3), and probably in some major components
of OpenStack already.

So, what is the status of the package? Do you have something available
already? If you don't find the time to work on it, would you mind if I
take over the work? It would be good if we could co-maintain the package
anyway (as I am quite sure I will be needing it quite a lot).

Let me know,
Cheers,

Thomas Goirand (zigo)



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 29 Jun 2013 08:06:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Thu, 08 Aug 2013 03:03:04 GMT) Full text and rfc822 format available.

Notification sent to Paul Tagliamonte <paultag@ubuntu.com>:
Bug acknowledged by developer. (Thu, 08 Aug 2013 03:03:05 GMT) Full text and rfc822 format available.

Message #32 received at 661044-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 661044-close@bugs.debian.org
Subject: Bug#661044: fixed in python-flake8 2.0-1
Date: Thu, 08 Aug 2013 03:00:08 +0000
Source: python-flake8
Source-Version: 2.0-1

We believe that the bug you reported is fixed in the latest version of
python-flake8, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661044@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-flake8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Jun 2013 05:42:51 +0000
Source: python-flake8
Binary: python-flake8 python3-flake8
Architecture: source amd64
Version: 2.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-flake8 - code checker using pep8 and pyflakes
 python3-flake8 - code checker using pep8 and pyflakes (Python 3)
Closes: 661044
Changes: 
 python-flake8 (2.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #661044)
Checksums-Sha1: 
 f0ec209ecb006d86b60a8abe2e49daa662ea2d64 1505 python-flake8_2.0-1.dsc
 dc1b211ba226b3e9872fedc27d0a53c055f44f41 10511 python-flake8_2.0.orig.tar.gz
 fdf01c982793ef57efff13ce343db721d46d07f2 2262 python-flake8_2.0-1.debian.tar.gz
 8d55d3dd087fbe5fa38c7ab638f7921acd5f8f3e 14214 python-flake8_2.0-1_amd64.deb
 54890bc93d4125c4dbca4599c7d364ec92e2024a 13024 python3-flake8_2.0-1_amd64.deb
Checksums-Sha256: 
 f363d11c7dd97cbc1accf6fbcf622c675a8e42bbe490db06bd6ef6be17534c29 1505 python-flake8_2.0-1.dsc
 8dce4f7e64cc202cc6da93eab84b2ce660110ff684b6738bba64a0a431b3bc69 10511 python-flake8_2.0.orig.tar.gz
 25ce0040dd960691fbdbee5fef4d49a25ed4da9b2cc31bed1badb9268566793c 2262 python-flake8_2.0-1.debian.tar.gz
 3fe343372e2dccf9167ca13986046b8caa2a93bbe1f5d23e4fe0127613f77dae 14214 python-flake8_2.0-1_amd64.deb
 97b3eff160425c7c0651080f72c12f936d3536ebfdfb827067d992e6589425d1 13024 python3-flake8_2.0-1_amd64.deb
Files: 
 1d9bc9c046aac8601e6e6837b96fd4f2 1505 python optional python-flake8_2.0-1.dsc
 176c6b3613777122721db181560aa1e3 10511 python optional python-flake8_2.0.orig.tar.gz
 e69093f63e8d1eb4667453029a13de03 2262 python optional python-flake8_2.0-1.debian.tar.gz
 5f6ee16df0f0530e7f6075c54da0690f 14214 python optional python-flake8_2.0-1_amd64.deb
 502f7c2dc5c0a40cfea8509321436939 13024 python optional python3-flake8_2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHOeNAACgkQl4M9yZjvmklS1ACg4lD0B9kiBB5OTvMTgagEtjNx
dCkAnisRqaKHRONbdd7soTJXg5sg5o1b
=A6fA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Sep 2013 07:30:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:34:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.